PHP Manual
Prev |  | Next

# SDO_Model_ReflectionDataObject::__construct

(no version information, might be only in CVS)

SDO_Model_ReflectionDataObject::__construct -- Construct an SDO_Model_ReflectionDataObject

## Description

SDO_Model_ReflectionDataObject SDO_Model_ReflectionDataObject::__construct ( SDO_DataObject data_object )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Construct an SDO_Model_ReflectionDataObject to reflect on an SDO_DataObject. Reflecting on an SDO_DataObject gives access to information about its model. The model contains information such as the data object's type, and whether that type is sequenced (preserves ordering across properties) or open (each instance can have its model extended). The model also holds information about the data object's properties, any default values they may have, and so on.

## Parameters

data_object

  The SDO_DataObject being reflected upon.

## Return Values

None.

Prev | Home | Next
SDO_Model_Property::isMany | Up | SDO_Model_ReflectionDataObject::getContainmentProperty